unit page;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TPageForm = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Topic: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PageForm : TPageForm;
  Paged    : Boolean;

implementation
uses tor32u, tGlob;

{$R *.DFM}

procedure TPageForm.BitBtn1Click(Sender: TObject);
begin
  Paged := True;
  Close;
end;

procedure TPageForm.BitBtn2Click(Sender: TObject);
begin
  Paged := False;
  Close;
end;

procedure TPageForm.FormCreate(Sender: TObject);
begin
  Paged := False;
end;

procedure TPageForm.FormShow(Sender: TObject);
begin
  If Cnf. Sound Then MainForm. PlayerWave1. Play;
end;

procedure TPageForm.FormHide(Sender: TObject);
begin
  MainForm. PlayerWave1. Stop;
end;

end.
